Subject: Re: linux-next: sparc64 build failure

From: Sam Ravnborg <[email-masked]>
Date: Fri, 20 Jun 2008 10:34:43 +0200

On Fri, Jun 20, 2008 at 05:53:11PM +1000, Stephen Rothwell wrote:
> Hi Sam,
> 
> On Fri, 20 Jun 2008 09:34:44 +0200 Sam Ravnborg <[email-masked]> wrote:
> >
> > On Thu, Jun 19, 2008 at 05:55:20PM -0700, David Miller wrote:
> > > From: Stephen Rothwell <[email-masked]>
> > > Date: Fri, 20 Jun 2008 10:43:52 +1000
> > > 
> > > > Yesterday's linux-next build (sparc64 allmodconfig) failed like this:
> > > 
> > > Sam knowingly added this problem :-)
> > Yes - this is all my fault.
> > It must hurt a little before it becomes good!
> 
> Yep, OK.
> 
> Seriously, though the sparc64 allmodconfig has been broken by this for
> two days and we really don't want any deliberate bisection breakage if we
> can avoid it.

I have not looked into it yet. But I assume this is a merge issue.
sparc-next.git is OK
kbuild-next.git is OK

But when merged we break sparc64.
So I need to feed David a patch so I do not break it with kbuild-next.git,
or I need to do something in kbuil-next.git to avoid the breakage.

I will sort it out in the weekend.

	Sam